using HisInterfaceModels;

namespace Cmdjy.Dal.Wappers
{
    /// <summary>
    /// 药品信息墙纸
    /// </summary>
    public class HisDrugInfoWapper:Dal.Tables.HisDrugInfo
    {
        public HisDrugInfoWapper(HisDrugInfo s) {
            if(s == null) return;
            foreach(var p in s.GetType().GetProperties()) {
                var tp = this.GetType().GetProperty(p.Name);
                if(tp != null && tp.CanWrite && p.CanRead) {
                    tp.SetValue(this,p.GetValue(s));
                }
            }
        }
    }
}